summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2019-05-07 20:29:55 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2019-05-08 19:03:38 +0200
commitb3b5564327f160ed033b7c2d7781f0bb99f9dc85 (patch)
treebf8082f2f50b947e1305e878144414a8939194e3 /kde-plasma/libkworkspace/libkworkspace-5.15.5.ebuild
parentnet-misc/vde: No more ltprune (diff)
downloadgentoo-b3b5564327f160ed033b7c2d7781f0bb99f9dc85.tar.gz
gentoo-b3b5564327f160ed033b7c2d7781f0bb99f9dc85.tar.bz2
gentoo-b3b5564327f160ed033b7c2d7781f0bb99f9dc85.zip
kde-plasma: Add KDE Plasma 5.15.5
Package-Manager: Portage-2.3.66, Repoman-2.3.12 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'kde-plasma/libkworkspace/libkworkspace-5.15.5.ebuild')
-rw-r--r--kde-plasma/libkworkspace/libkworkspace-5.15.5.ebuild54
1 files changed, 54 insertions, 0 deletions
diff --git a/kde-plasma/libkworkspace/libkworkspace-5.15.5.ebuild b/kde-plasma/libkworkspace/libkworkspace-5.15.5.ebuild
new file mode 100644
index 000000000000..3dfe68f80a2c
--- /dev/null
+++ b/kde-plasma/libkworkspace/libkworkspace-5.15.5.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+KDE_TEST="true"
+KMNAME="plasma-workspace"
+inherit kde5
+
+DESCRIPTION="Workspace library to interact with the Plasma session manager"
+
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE=""
+
+COMMON_DEPEND="
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep kwindowsystem)
+ $(add_frameworks_dep plasma)
+ $(add_qt_dep qtdbus)
+ $(add_qt_dep qtx11extras)
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/libXau
+"
+DEPEND="${COMMON_DEPEND}
+ $(add_plasma_dep kwin)
+"
+RDEPEND="${COMMON_DEPEND}
+ !<kde-plasma/plasma-workspace-5.14.2:5
+"
+
+S="${S}/${PN}"
+
+PATCHES=( "${FILESDIR}/${PN}-5.14.90-standalone.patch" )
+
+src_prepare() {
+ # delete colliding libkworkspace translations, let kde5_src_prepare do its magic
+ if [[ ${KDE_BUILD_TYPE} = release ]]; then
+ find ../po -type f -name "*po" -and -not -name "libkworkspace*" -delete || die
+ rm -rf po/*/docs || die
+ cp -a ../po ./ || die
+ fi
+ kde5_src_prepare
+ if [[ ${KDE_BUILD_TYPE} = release ]]; then
+ cat >> CMakeLists.txt <<- _EOF_ || die
+ ki18n_install(po)
+ _EOF_
+ fi
+
+ sed -e "/set/s/GENTOO_PV/$(ver_cut 1-3)/" \
+ -i CMakeLists.txt || die "Failed to prepare CMakeLists.txt"
+}